---
updatedAt: 2026-05-26T19:40:25.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# Groups Default Tabs

Manage dashboards assigned to a group or to client account groups.

## GET /groups/\{id}/default-tabs

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Description
      </td>

      <td style={{ textAlign: "left" }}>
        Retrieve a list of default tabs (now called dashboards) for a specific group.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Permissions
      </td>

      <td style={{ textAlign: "left" }}>
        user.manage
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Resource URL
      </td>

      <td style={{ textAlign: "left" }}>
        [https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs](https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Parameters
      </td>

      <td style={{ textAlign: "left" }}>
        tab_id (string) — dashboards that belong to a specific group  
        tab_name (string) — show dashboard name  
        description — information about the dashboard  
        can_edit — true/false  
        visibility — library, dashboard, permanent  
        index — tab position  
        id — default tab ID  
        klips_shared  
        total_klips  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Dashboards by Group
GET https://app.klipfolio.com/api/1.0/groups/bdd7b4d0a729704164ab4b38e788de21/default-tabs
```
```Text Client Dashboards by Group
GET https://app.klipfolio.com/api/1.0/groups/bdd7b4d0a729704164ab4b38e788de21/default-tabs?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "tabs": [
      {
        "tab_id": "fc67d8f1646b3333e1641e1085a5e555",
        "tab_name": "Group Sales",
        "description": null,
        "can_edit": false,
        "visibility": "permanent",
        "index": 1,
        "id": "caadadb4b08f36973c4446e459b14deb"
      }
    ]
  }
}
```

## GET /groups/\{id}/default-tabs/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Retrieve the details for a specific group and specific dashboard (tab).
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs/\{id}](https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs/\{id})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        tab_id (string) — show only dashboards that belong to a specific group  
        tab_name (string) — show dashboard name  
        description — information about the dashboard  
        can_edit — true/false  
        visibility — library, dashboard, permanent  
        index — tab position  
        id — default tab ID  
        klips_shared  
        total_klips  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Dashboard by Id, by Group
GET https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb
```
```Text Client dashboard by Id, by Group
GET https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "id": "caadadb4b08f36973c4446e459b14deb",
    "tab_id": "fc67d8f1646b2306e1641e1085a5e704",
    "tab_name": "Group Sales",
    "description": null,
    "can_edit": false,
    "visibility": "permanent",
    "index": 1,
    "klips_shared": 1,
    "total_klips": 2
  }
}

```

## POST /groups/\{id}/default-tabs

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Add an existing dashboard to a specified group.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs](https://app.klipfolio.com/api/1.0/groups/\{id}/default-tabs)
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        tab_id, can_edit, visibility, index  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Add dashboard to group
POST https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs -d {'tab_id':'fc67d8f1646b2306e1641e1085a5e704','can_edit':true,'visibility':'dashboard','index':1}
```
```Text Client add dashboard to group
POST https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs -d {'tab_id':'fc67d8f1646b2306e1641e1085a5e704','can_edit':true,'visibility':'dashboard','index':1, 'client_id':0123456789abcdef0123456789abcdef}
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 201,
    "location": "/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb"
  },
  "data": {}
}
```

## PUT /groups/\{id}/default-tabs/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Update an existing dashboard for a  specified group.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups/\{id}](https://app.klipfolio.com/api/1.0/groups/\{id})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        can_edit, visibility, index  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Update dashboard in Group
PUT https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb -d {"can_edit":true}
```
```Text Client update dashboard in group
PUT https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb -d {"can_edit":true,'client_id':'0123456789abcdef0123456789abcdef'}
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {}
}
```

## DELETE /groups/\{id}/default-tabs/\{id}

|              |                                                                   |
| :----------- | :---------------------------------------------------------------- |
| Description  | Delete the specified dashboard (tab) from the group.              |
| Permissions  | user.manage                                                       |
| Resource URL | <https://app.klipfolio.com/api/1.0/groups/{id}/default-tabs/{id}> |
| Parameters   | optional: client\_id                                              |

## Example Request

```Text Delete dashboard from group
DELETE https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb
```
```Text Client delete dashboard from group
DELETE https://app.klipfolio.com/api/1.0/groups/dbb7b4d0a729704164ab4b38e799de11/default-tabs/caadadb4b08f36973c4446e459b14deb?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
"meta": {
      "status": 200,
      "success": true
  }
}
```